功能区 API 要求集

要求集是指各组已命名的 API 成员。 Office 加载项使用清单中指定的要求集或执行运行时检查,以确定 Office 应用程序是否支持加载项所需的 API。 有关详细信息,请参阅 Office 版本和要求集

功能区 API 集支持编程控制自定义外接程序命令 (即启用和禁用自定义功能区按钮和菜单项) 以及上下文选项卡在功能区上显示的时间。

Office 外接程序在多个 Office 版本中运行。 下表列出了功能区 API 要求集、支持的 Office 客户端应用程序,以及这些应用程序(如果适用) 的最低 版本。

要求集 Windows 版 Office
(Microsoft 365 订阅)
Windows 版 Office
(零售永久 Office 2016 或更高版本)
Windows 版 Office
(批量许可的永久)
Mac 版 Office iPad 版 Office Office 网页版 Office Online Server
RibbonApi 1.2 版本 2102(内部版本 13801.20294) 版本 2102(内部版本 13801.20294) Office 2021:版本 2108 (内部版本 14326.20454) 16.53.806.0 不支持 支持 不支持
RibbonApi 1.1 请参阅 支持
section
版本 2006 (内部版本 20266.20266) Office 2021:版本 2108 (内部版本 14326.20454) 16.38 不支持 支持 不支持

重要

  • 仅任务窗格加载项支持 RibbonApi 要求集。
  • RibbonApi 要求集仅在 Excel 中支持生产加载项。
  • RibbonApi 1.1 (不是 1.2) 在 PowerPoint 和 Word 中以预览版的形式提供,但仅在 Windows 上的 Office (Microsoft 365 订阅) 和 Office on Mac 中提供。 它在 Office web 版 中不可用。

支持 Windows 上的 Office 版本 1.1 (Microsoft 365 订阅)

从版本 2006 (内部版本 13001.20498) ,消费者渠道支持 1.1 版本的 RibbonApi 要求集。 自 2020 年 7 月 14 日起提供的 Semi-Annual 频道和每月企业频道版本中也支持该要求集。 每个通道支持 的最低 版本如下:

频道 最低版本 最低生成
当前频道 2006 20266.20266
每月企业频道 2005 12827.20538
每月企业频道 2004 12730.20602
半年企业频道 2002 12527.20880

更多信息

若要详细了解版本、内部版本号和 Office Online Server,请参阅:

Office 通用 API 要求集

若要了解通用 API 要求集,请参阅 Office 通用 API 要求集

功能区 API 1.1

功能区 API 1.1 是 API 的第一个版本。 有关 API 的详细信息,请参阅 Office.功能区 参考主题。

功能区 API 1.2

功能区 API 1.2 添加了对上下文选项卡的支持。 更多信息,请参见在Office插件中创建自定义上下文选项卡

注意

清单中尚不支持 RibbonApi 1.2 要求集,因此不应在清单的 <“要求> ”部分中指定它。

另请参阅